# KDChartPieAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartAbstractThreeDAttributes.h"`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartPieAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::PieAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::PieAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::PieAttributes & |
| ) |

Definition at line 106 of file KDChartPieAttributes.cpp.

References KDChart::PieAttributes::explodeFactor().

    00107 {
    00108     dbg << "KDChart::PieAttributes(";
    00109     dbg << "explodeFactor="<< a.explodeFactor() << ")";
    00110     return dbg;
    00111 }

Q_DECLARE_TYPEINFO | ( | KDChart::PieAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |